[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Installing linux-image-2.6.26-1-amd64 on lenny (dependency problems)



Hi There,

We have a fresh install of lenny on a VM and tried to perform the initial apt-get update/upgrade but are having issues with dependency problems. Can someone point me in the correct direction here please?

Thanks

Simon

# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up linux-image-2.6.26-1-amd64 (2.6.26-13lenny2) ...
Running depmod.
Running mkinitramfs-kpkg.
Not updating initrd symbolic links since we are being updated/reinstalled
(2.6.26-13 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(2.6.26-13 was configured last, according to dpkg)
Running postinst hook script update-grub.
Searching for GRUB installation directory ... found: /boot/grub
warning: grub-probe can't find drive for /dev/sda1.
grub-probe: error: Cannot find a GRUB drive for /dev/sda1.  Check your device.map.

User postinst hook script [update-grub] exited with value 1
dpkg: error processing linux-image-2.6.26-1-amd64 (--configure):
 subprocess post-installation script returned error exit status 1
Setting up linux-image-2.6.26-2-amd64 (2.6.26-15lenny2) ...
Running depmod.
Running mkinitramfs-kpkg.
initrd.img(/boot/initrd.img-2.6.26-2-amd64
) points to /boot/initrd.img-2.6.26-2-amd64
 (/boot/initrd.img-2.6.26-2-amd64) -- doing nothing at /var/lib/dpkg/info/linux-image-2.6.26-2-amd64.postinst line 569.
vmlinuz(/boot/vmlinuz-2.6.26-2-amd64
) points to /boot/vmlinuz-2.6.26-2-amd64
 (/boot/vmlinuz-2.6.26-2-amd64) -- doing nothing at /var/lib/dpkg/info/linux-image-2.6.26-2-amd64.postinst line 569.
Running postinst hook script update-grub.
Searching for GRUB installation directory ... found: /boot/grub
warning: grub-probe can't find drive for /dev/sda1.
grub-probe: error: Cannot find a GRUB drive for /dev/sda1.  Check your device.map.

User postinst hook script [update-grub] exited with value 1
dpkg: error processing linux-image-2.6.26-2-amd64 (--configure):
 subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of linux-image-2.6-amd64:
 linux-image-2.6-amd64 depends on linux-image-2.6.26-2-amd64; however:
  Package linux-image-2.6.26-2-amd64 is not configured yet.
dpkg: error processing linux-image-2.6-amd64 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 linux-image-2.6.26-1-amd64
 linux-image-2.6.26-2-amd64
 linux-image-2.6-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)



Reply to: